Subject: Re: Information
From: [email-masked]
To: [email-masked], [email-masked]
Date: Mon, 07 Oct 2019 16:48:37 -0700

ZD#83228.
AJ
HFL Customer Support

----- Original Message -----
From:
 "ODON MAYA" <[email-masked]>

To:
"Health Zendesk Support" <[email-masked]>, "- Dr. Sam
Robbins -" <[email-masked]>
Cc:

Sent:
Mon, 7 Oct 2019 23:29:48 +0000 (UTC)
Subject:
Information

TO WHOM IT MAY CONCERN:

Again, I contact you to find out the status of my order, because I
have not known anything about it.

If there is any problem or inconvenience for the shipment, I would
like to suspend the purchase and recover my money.

Thank you for your attention.

Odón Maya García

__